Bug 8999 - Не пересобран с новым libqt3
: Не пересобран с новым libqt3
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/python-module-qt)
: unstable
: all Linux
: P3 blocker
Assigned To:
:
:
:
:
:
  Show dependency tree
 
Reported: 2006-01-31 18:52 by
Modified: 2006-02-26 12:31 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2006-01-31 18:52:04
1. Я категорически против указания жёсткой зависимости на qt:  
libqt3 = 3.3.5-alt1   
2. При наличии такой зависимости пакет не пересобран до сих пор.
------- Comment #1 From 2006-01-31 20:11:13 -------
Можешь предложить другой вариант обеспечить работоспособность этого пакета?.. Я
такого еще не придумал... Похоже что libqt3 при пересборке иногда умудряется
менять список экспортируемых символов, и тогда PyQt падает в корку. :(

все вопросы по поводу непересобранности к роботу... хотя наверное это потому
что
я переименовал пакет... пойду на incoming@ напишу...
------- Comment #2 From 2006-02-10 15:27:22 -------
> Можешь предложить другой вариант обеспечить работоспособность этого пакета?.. Я
> такого еще не придумал... Похоже что libqt3 при пересборке иногда умудряется
> менять список экспортируемых символов, и тогда PyQt падает в корку. :(

"Иногда умудряется" -- это очевидно не нормальная ситуация. Имела ли она
место при последнем обновлении Qt? Проверялось ли это?
------- Comment #3 From 2006-02-10 15:39:04 -------
Если libqt3 при простой пересборке меняет список символов, то это бага на этот 
пакет. 
Раз невозможно обеспечить синхронную сборку пакетов, просьба убрать из 
python-module-qt жёсткую зависимость на релиз libqt3 (поставив >= ). 
------- Comment #4 From 2006-02-10 17:39:54 -------
(In reply to comment #3) 
> Если libqt3 при простой пересборке меняет список символов, то это бага на 
этот  
> пакет.  
Если только список символов, которые не надо использовать, иначе бы валилось 
все, что собирается с Qt. 
 
 
------- Comment #5 From 2006-02-10 22:45:30 -------
(In reply to comment #4)
> Если только список символов, которые не надо использовать
Т.е. библиотека экспортирует лишние символы? Давить.
Или что?
------- Comment #6 From 2006-02-13 15:26:01 -------
(In reply to comment #5) 
> Т.е. библиотека экспортирует лишние символы? Давить. 
Исправлено в Qt4 ;-) 
 
 
------- Comment #7 From 2006-02-15 10:34:33 -------
*** Bug 9073 has been marked as a duplicate of this bug. ***
------- Comment #8 From 2006-02-15 11:47:14 -------
Отправлен python-module-qt-3.15.1-alt1.1.src.rpm: 
* Wed Feb 15 2006 Vitaly Lipatov <lav@altlinux.ru> 3.15.1-alt1.1 
- NMU: change = with >= in libqt3 requires (fix bug #8999) 
- make setup quiet (add -q option) 
------- Comment #9 From 2006-02-25 14:53:05 -------
NMU залили...
------- Comment #10 From 2006-02-26 12:31:01 -------
Работает. Полагаю, можно закрывать